/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {RulePrincipalResponse} from "./rulePrincipalResponse";
import {FloorPrincipalResponse} from "./floorPrincipalResponse";

export class ActiveRuleResponse {
    public id: string;

    public rule: RulePrincipalResponse;

    public floor: FloorPrincipalResponse;

    public subscribedUsers: string[];

    /**
     * Creates a ActiveRuleResponse.
     *
     * @param {string} id
     * @param {RulePrincipalResponse} rule
     * @param {FloorPrincipalResponse} floor
     * @param {string} subscribedUsers
     */
    constructor(id: string, rule: RulePrincipalResponse, floor: FloorPrincipalResponse, subscribedUsers: string[]) {
        this.id = id;
        this.rule = rule;
        this.floor = floor;
        this.subscribedUsers = subscribedUsers;
    }
}
